Bug 1579076 - [abrt] ibus: bus_engine_proxy_new_internal(): ibus-daemon killed by SIGSEGV [NEEDINFO]
Summary: [abrt] ibus: bus_engine_proxy_new_internal(): ibus-daemon killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d076161e787366707e150ed08ee...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-16 23:16 UTC by Chen_Min_Chin
Modified: 2019-05-28 20:17 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:17:10 UTC
tfujiwar: needinfo? (tcfxfzoi)


Attachments (Terms of Use)
File: backtrace (27.80 KB, text/plain)
2018-05-16 23:16 UTC, Chen_Min_Chin
no flags Details
File: cgroup (331 bytes, text/plain)
2018-05-16 23:16 UTC, Chen_Min_Chin
no flags Details
File: core_backtrace (8.53 KB, text/plain)
2018-05-16 23:16 UTC, Chen_Min_Chin
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-05-16 23:16 UTC, Chen_Min_Chin
no flags Details
File: dso_list (2.34 KB, text/plain)
2018-05-16 23:16 UTC, Chen_Min_Chin
no flags Details
File: environ (3.96 KB, text/plain)
2018-05-16 23:16 UTC, Chen_Min_Chin
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-16 23:16 UTC, Chen_Min_Chin
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-16 23:16 UTC, Chen_Min_Chin
no flags Details
File: maps (12.09 KB, text/plain)
2018-05-16 23:16 UTC, Chen_Min_Chin
no flags Details
File: mountinfo (4.01 KB, text/plain)
2018-05-16 23:16 UTC, Chen_Min_Chin
no flags Details
File: open_fds (1.76 KB, text/plain)
2018-05-16 23:16 UTC, Chen_Min_Chin
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-16 23:16 UTC, Chen_Min_Chin
no flags Details

Description Chen_Min_Chin 2018-05-16 23:16:17 UTC
Version-Release number of selected component:
ibus-1.5.18-5.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        ibus-daemon --xim --panel disable
crash_function: bus_engine_proxy_new_internal
executable:     /usr/bin/ibus-daemon
journald_cursor: s=52e1c1c145d84b2cb155ffe9c107ba83;i=38605d;b=fd25554919fb41e0be205b3fff0dd9a5;m=4ab8967c;t=56c5aa1ccbebc;x=382115058aab1bd9
kernel:         4.16.8-300.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 bus_engine_proxy_new_internal at engineproxy.c:677
 #1 create_engine_ready_cb at engineproxy.c:755
 #2 g_task_return_now at gtask.c:1148
 #3 g_task_return at gtask.c:1206
 #4 reply_cb at gdbusproxy.c:2596
 #5 g_task_return_now at gtask.c:1148
 #6 g_task_return at gtask.c:1206
 #7 g_dbus_connection_call_done at gdbusconnection.c:5724
 #8 g_task_return_now at gtask.c:1148
 #9 complete_in_idle_cb at gtask.c:1162

Potential duplicate: bug 1410201

Comment 1 Chen_Min_Chin 2018-05-16 23:16:23 UTC
Created attachment 1437652 [details]
File: backtrace

Comment 2 Chen_Min_Chin 2018-05-16 23:16:24 UTC
Created attachment 1437653 [details]
File: cgroup

Comment 3 Chen_Min_Chin 2018-05-16 23:16:25 UTC
Created attachment 1437654 [details]
File: core_backtrace

Comment 4 Chen_Min_Chin 2018-05-16 23:16:27 UTC
Created attachment 1437655 [details]
File: cpuinfo

Comment 5 Chen_Min_Chin 2018-05-16 23:16:28 UTC
Created attachment 1437656 [details]
File: dso_list

Comment 6 Chen_Min_Chin 2018-05-16 23:16:29 UTC
Created attachment 1437657 [details]
File: environ

Comment 7 Chen_Min_Chin 2018-05-16 23:16:32 UTC
Created attachment 1437658 [details]
File: exploitable

Comment 8 Chen_Min_Chin 2018-05-16 23:16:34 UTC
Created attachment 1437659 [details]
File: limits

Comment 9 Chen_Min_Chin 2018-05-16 23:16:35 UTC
Created attachment 1437660 [details]
File: maps

Comment 10 Chen_Min_Chin 2018-05-16 23:16:37 UTC
Created attachment 1437661 [details]
File: mountinfo

Comment 11 Chen_Min_Chin 2018-05-16 23:16:38 UTC
Created attachment 1437662 [details]
File: open_fds

Comment 12 Chen_Min_Chin 2018-05-16 23:16:39 UTC
Created attachment 1437663 [details]
File: proc_pid_status

Comment 13 fujiwara 2018-05-17 10:52:10 UTC
I cannot reproduce your problem.
Seems BusEngineProxy is NULL in your ibus-daemon.


Are you still able to see your backtrace?


(In reply to Chen_Min_Chin from comment #1)
> Created attachment 1437652 [details]
> File: backtrace

#0  0x00005649bedff1c8 in bus_engine_proxy_new_internal (connection=<optimized out>, desc=0x5649bfda93c0 [IBusEngineDesc], path=0x7f980c01c9a0 "/org/freedesktop/IBus/Engine/1") at engineproxy.c:677
#1  0x00005649bedff1c8 in create_engine_ready_cb (factory=<optimized out>, res=<optimized out>, data=0x7f980c063c40) at engineproxy.c:755
#2  0x00007f9828d93cf4 in g_task_return_now (task=0x5649bfe3c530 [GTask]) at gtask.c:1148
#3  0x00007f9828d947a6 in g_task_return (task=0x5649bfe3c530 [GTask], type=<optimized out>) at gtask.c:1206
#4  0x00007f9828dd4abb in reply_cb (connection=<optimized out>, res=<optimized out>, user_data=0x5649bfe3c530) at gdbusproxy.c:2596
#5  0x00007f9828d93cf4 in g_task_return_now (task=0x7f980c01d4e0 [GTask]) at gtask.c:1148
#6  0x00007f9828d947a6 in g_task_return (task=0x7f980c01d4e0 [GTask], type=<optimized out>) at gtask.c:1206
#7  0x00007f9828dc940a in g_dbus_connection_call_done (source=<optimized out>, result=0x7f980c01d5b0, user_data=0x7f980c01d4e0) at gdbusconnection.c:5724
#8  0x00007f9828d93cf4 in g_task_return_now (task=0x7f980c01d5b0 [GTask]) at gtask.c:1148
#9  0x00007f9828d93d2d in complete_in_idle_cb (task=task@entry=0x7f980c01d5b0) at gtask.c:1162
#10 0x00007f98287e40eb in g_idle_dispatch (source=0x7f980c019340, callback=0x7f9828d93d20 <complete_in_idle_cb>, user_data=0x7f980c01d5b0) at gmain.c:5535
#11 0x00007f98287e77cd in g_main_dispatch (context=0x5649bfe30080) at gmain.c:3177
#12 0x00007f98287e77cd in g_main_context_dispatch (context=context@entry=0x5649bfe30080) at gmain.c:3830
#13 0x00007f98287e7b98 in g_main_context_iterate (context=0x5649bfe30080, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3903
#14 0x00007f98287e7ec2 in g_main_loop_run (loop=0x5649bfe4eac0) at gmain.c:4099
#15 0x00005649bee03d40 in bus_server_run () at server.c:195
#16 0x00005649bedf0dd8 in main (argc=<optimized out>, argv=<optimized out>) at main.c:314

Comment 14 Ben Cotton 2019-05-02 21:45:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2019-05-28 20:17:10 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.